al_fseek(3)

NAME

al_fseek - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_fseek(ALLEGRO_FILE *f, int64_t offset, int whence)

DESCRIPTION

Set the current position of the given file to a position relative to that specified by 'whence', plus 'offset' number of bytes.

'whence' can be:

•   ALLEGRO_SEEK_SET - seek relative to beginning of file

•   ALLEGRO_SEEK_CUR - seek relative to current file position

•   ALLEGRO_SEEK_END - seek relative to end of file

Returns true on success, false on failure. errno is set to indicate the error.

After a successful seek, the end-of-file indicator is cleared and all pushback bytes are forgotten.

On some platforms this function may not support large files.

SEE ALSO

al_ftell(3), al_get_errno(3)